# Interface ICefMediaRoute

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefMediaRoute = interface(ICefBaseRefCounted)`

## Description

Represents the route between a media source and sink. Instances of this object are created via ICefMediaRouter.CreateRoute and retrieved via ICefMediaObserver.OnRoutes. Contains the status and metadata of a routing operation. The functions of this interface may be called on any browser process thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_route_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefMediaRoute

## Overview

### Methods

| `function GetId: ustring;`
| `function GetSource: ICefMediaSource;`
| `function GetSink: ICefMediaSink;`
| `procedure SendRouteMessage(const message_: ustring);`
| `procedure Terminate;`

### Properties

| `property ID : ustring read GetId;`
| `property Source : ICefMediaSource read GetSource;`
| `property Sink : ICefMediaSink read GetSink;`

## Description

### Methods

| `function GetId: ustring;`
Returns the ID for this route. ###### Attributes GUID['{D8959122-DD19-4933-B4D9-DF829062A0D3}']

| `function GetSource: ICefMediaSource;`
Returns the source associated with this route.

| `function GetSink: ICefMediaSink;`
Returns the sink associated with this route.

| `procedure SendRouteMessage(const message_: ustring);`
Send a message over this route. |message_| will be copied if necessary.

| `procedure Terminate;`
Terminate this route. Will result in an asynchronous call to ICefMediaObserver.OnRoutes on all registered observers.

### Properties

| `property ID : ustring read GetId;`
Returns the ID for this route.

| `property Source : ICefMediaSource read GetSource;`
Returns the source associated with this route.

| `property Sink : ICefMediaSink read GetSink;`
Returns the sink associated with this route.

Generated by PasDoc 0.16.0-snapshot.